| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiPython::TupleToolDecorator Class Reference

Simple class to perform the "decoration" of Tuples in Python/ROOT. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/ROOT.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-17

Definition at line 312 of file TupleDecorator.h.

## Member Function Documentation

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 345 of file TupleDecorator.h.

347 {
348 return tool.evtCol( title, clid );
349 }
ITupleTool::evtCol
virtual Tuple evtCol(const std::string &title, const CLID &clid=CLID_RowWiseTuple) const =0

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 352 of file TupleDecorator.h.

354 {
355 return tool.nTuple( ID, title, clid );
356 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 359 of file TupleDecorator.h.

361 {
362 return tool.nTuple( ID, title, clid );
363 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 366 of file TupleDecorator.h.

368 {
369 return tool.nTuple( ID, title, clid );
370 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 317 of file TupleDecorator.h.

319 {
320 return tool.nTuple( title, clid );
321 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 324 of file TupleDecorator.h.

326 {
327 return tool.nTuple( ID, title, clid );
328 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 331 of file TupleDecorator.h.

333 {
334 return tool.nTuple( ID, title, clid );
335 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 338 of file TupleDecorator.h.

340 {
341 return tool.nTuple( ID, title, clid );
342 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

The documentation for this class was generated from the following file:

- GaudiPython/GaudiPython/TupleDecorator.h